<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@20713A8=09</action>
    </script>
  </cheat>

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@20314B4=63</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@20314B4=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@20349CD=90</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@20349CD=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL1">
    <script state="run">
      <action>maincpu.pw@2034862=680A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Stand Gauge PL1">
    <script state="run">
      <action>maincpu.pb@203520D=58</action>
      <action>maincpu.pb@2035211=58</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL1"> <comment>Format of Character Name - Proper Name [Ingame Name]</comment>
    <parameter>
      <item value="0x00">Joutaro [ Jotaro ]</item>
      <item value="0x01">Kakyouin [ Kakyoin ]</item>
      <item value="0x02">Avdol [ Avdol ]</item>
      <item value="0x03">Polnareff [ Polnareff ]</item>
      <item value="0x04">Joseph Joster [ Joseph ]</item>
      <item value="0x05">Iggi [ Iggi ]</item>
      <item value="0x06">Alessy [ Alessy ]</item>
      <item value="0x07">Chaca [ Chaca ]</item>
      <item value="0x08">D'Bo [ D'BO ]</item>
      <item value="0x09">N'Doul [ N'Dool ] (Glitchy)</item>
      <item value="0x0A">Midler [ Midler ]</item>
      <item value="0x0B">Dio [ DIO ]</item>
      <item value="0x0C">Vanilla Ice [ Vanilla Ice ] (CPU)</item>
      <item value="0x0D">Death 13 [ Death 13 ]</item>
      <item value="0x0E">Jyaakuno Keshin Dio [ Shadow DIO ]</item>
      <item value="0x0F">Hokoritakaki Kettou Joseph [ JOJO ]</item>
      <item value="0x10">Holhorse [ Hol Horse ]</item>
      <item value="0x11">Vanilla Ice [ Iced ]</item>
      <item value="0x12">Kyoufu wo Norikoeta Kakyouin [ New Kakyoin ]</item>
      <item value="0x13">Anubis Nitouryu Polnareff [ Black Polnareff ]</item>
      <item value="0x14">Petshop [ Petshop ]</item>
      <item value="0x16">Mahriah [ Mahriah ]</item>
      <item value="0x17">Holhorse + Voing [ Hol Horse + Voing ]</item>
      <item value="0x18">Robber Soul [ Robber Soul ]</item>
      <item value="0x19">Kahn [ Kan ]</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@203489F=param</action>
    </script>
  </cheat>

  <cheat desc="Select Control PL1">
    <parameter>
      <item value="0x00">Human</item>
      <item value="0x01">CPU</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@2034A18=param</action>
    </script>
  </cheat>

  <cheat desc="Child Transformation PL1">
    <script state="run">
      <action>maincpu.pb@2034AB2=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@2034DED=90</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@2034DED=00</action>
    </script>
  </cheat>

  <cheat desc="Infinite Power PL2">
    <script state="run">
      <action>maincpu.pw@2034886=680A</action>
    </script>
  </cheat>

  <cheat desc="Infinite Stand Gauge PL2">
    <script state="run">
      <action>maincpu.pb@203562D=58</action>
      <action>maincpu.pb@2035631=58</action>
    </script>
  </cheat>

  <cheat desc="Select Character PL2"> <comment>Format of Character Name - Proper Name [Ingame Name]</comment>
    <parameter>
      <item value="0x00">Joutaro [ Jotaro ]</item>
      <item value="0x01">Kakyouin [ Kakyoin ]</item>
      <item value="0x02">Avdol [ Avdol ]</item>
      <item value="0x03">Polnareff [ Polnareff ]</item>
      <item value="0x04">Joseph Joster [ Joseph ]</item>
      <item value="0x05">Iggi [ Iggi ]</item>
      <item value="0x06">Alessy [ Alessy ]</item>
      <item value="0x07">Chaca [ Chaca ]</item>
      <item value="0x08">D'Bo [ D'BO ]</item>
      <item value="0x09">N'Doul [ N'Dool ] (Glitchy)</item>
      <item value="0x0A">Midler [ Midler ]</item>
      <item value="0x0B">Dio [ DIO ]</item>
      <item value="0x0C">Vanilla Ice [ Vanilla Ice ] (CPU)</item>
      <item value="0x0D">Death 13 [ Death 13 ]</item>
      <item value="0x0E">Jyaakuno Keshin Dio [ Shadow DIO ]</item>
      <item value="0x0F">Hokoritakaki Kettou Joseph [ JOJO ]</item>
      <item value="0x10">Holhorse [ Hol Horse ]</item>
      <item value="0x11">Vanilla Ice [ Iced ]</item>
      <item value="0x12">Kyoufu wo Norikoeta Kakyouin [ New Kakyoin ]</item>
      <item value="0x13">Anubis Nitouryu Polnareff [ Black Polnareff ]</item>
      <item value="0x14">Petshop [ Petshop ]</item>
      <item value="0x16">Mahriah [ Mahriah ]</item>
      <item value="0x17">Holhorse + Voing [ Hol Horse + Voing ]</item>
      <item value="0x18">Robber Soul [ Robber Soul ]</item>
      <item value="0x19">Kahn [ Kan ]</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@2034CBF=param</action>
    </script>
  </cheat>

  <cheat desc="Select Control PL2">
    <parameter>
      <item value="0x00">Human</item>
      <item value="0x01">CPU</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@2034E38=param</action>
    </script>
  </cheat>

  <cheat desc="Child Transformation PL2">
    <script state="run">
      <action>maincpu.pb@2034ED2=FF</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="No Background Music">
    <script state="run">
      <action>maincpu.pb@205CC1A=00</action>
    </script>
  </cheat>

  <cheat desc="Unlock Secret Characters">
    <script state="run">
      <action>maincpu.pb@20312C1=01</action>
    </script>
  </cheat>

  <cheat desc="Select Region"> <comment>This cheat sets the machine region - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x01">Japan</item>
      <item value="0x02">Asia</item>
      <item value="0x03">Euro</item>
      <item value="0x04">USA</item>
      <item value="0x05">Hispanic</item>
      <item value="0x06">Brazil</item>
      <item value="0x07">Oceania</item>
      <item value="0x08">Korea</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@201B12C=01</action>
      <action condition="(param==01)">maincpu.pd@205BFDC=00000001</action> <!-- Note these cheats are instead of using the buggy Program Space cheat type on 1FECB, Pt 1 is needed for the BIOS language and Pt 2 is for the game.Pt 1 is unnecessary on NOCD versions and for the version cheats but is included for completeness -->
      <action condition="(param==02)">maincpu.pb@201B12C=02</action>
      <action condition="(param==02)">maincpu.pd@205BFDC=00000002</action>
      <action condition="(param==03)">maincpu.pb@201B12C=03</action>
      <action condition="(param==03)">maincpu.pd@205BFDC=00000003</action>
      <action condition="(param==04)">maincpu.pb@201B12C=04</action>
      <action condition="(param==04)">maincpu.pd@205BFDC=00000004</action>
      <action condition="(param==05)">maincpu.pb@201B12C=05</action>
      <action condition="(param==05)">maincpu.pd@205BFDC=00000005</action>
      <action condition="(param==06)">maincpu.pb@201B12C=06</action>
      <action condition="(param==06)">maincpu.pd@205BFDC=00000006</action>
      <action condition="(param==07)">maincpu.pb@201B12C=07</action>
      <action condition="(param==07)">maincpu.pd@205BFDC=00000007</action>
      <action condition="(param==08)">maincpu.pb@201B12C=08</action>
      <action condition="(param==08)">maincpu.pd@205BFDC=00000008</action>
    </script>
  </cheat>

  <cheat desc="Select Version"> <comment>This cheat sets the machine version - the effectiveness may vary! You have to enable this ASAP - ON or before the ROM check screen! Or enable + RESET</comment>
    <parameter>
      <item value="0x01">Normal</item>
      <item value="0x02">Character Check</item>
      <item value="0x03">Publicity</item>
      <item value="0x04">Location Test</item>
      <item value="0x05">Show</item>
      <item value="0x06">Debug</item>
      <item value="0x07">Sample</item>
      <item value="0x08">Development</item>
      <item value="0x09">Inspection</item>
    </parameter>
    <script state="run">
      <action condition="(param==01)">maincpu.pb@201B12B=00</action>
      <action condition="(param==01)">maincpu.pd@205BFE0=00000000</action>
      <action condition="(param==02)">maincpu.pb@201B12B=01</action>
      <action condition="(param==02)">maincpu.pd@205BFE0=00000001</action>
      <action condition="(param==03)">maincpu.pb@201B12B=02</action>
      <action condition="(param==03)">maincpu.pd@205BFE0=00000002</action>
      <action condition="(param==04)">maincpu.pb@201B12B=03</action>
      <action condition="(param==04)">maincpu.pd@205BFE0=00000003</action>
      <action condition="(param==05)">maincpu.pb@201B12B=04</action>
      <action condition="(param==05)">maincpu.pd@205BFE0=00000004</action>
      <action condition="(param==06)">maincpu.pb@201B12B=05</action>
      <action condition="(param==06)">maincpu.pd@205BFE0=00000005</action>
      <action condition="(param==07)">maincpu.pb@201B12B=06</action>
      <action condition="(param==07)">maincpu.pd@205BFE0=00000006</action>
      <action condition="(param==08)">maincpu.pb@201B12B=07</action>
      <action condition="(param==08)">maincpu.pd@205BFE0=00000007</action>
      <action condition="(param==09)">maincpu.pb@201B12B=08</action>
      <action condition="(param==09)">maincpu.pd@205BFE0=00000008</action>
    </script>
  </cheat>

  <cheat desc="Select CD Check"> <comment>Selecting False on the CD version will just cause the BIOS to complain there's not enough memory on the PCB</comment>
    <parameter>
      <item value="0x0B">False</item>
      <item value="0x00">True</item>
    </parameter>
    <script state="on">
      <action>temp0 =maincpu.rb@001FECC</action>
    </script>
    <script state="run">
      <action>maincpu.rb@001FECC=param</action>
    </script>
    <script state="off">
      <action>maincpu.rb@001FECC=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
